<template>
  <div class="container">
    <main-header />
    <main-cards />
  </div>
</template>

<script>
import MainHeader from '@/components/blocs/MainHeader'
import MainCards from '@/components/blocs/MainCards'
import { onMounted } from 'vue'
import { useStore } from 'vuex'

export default {
  components: {
    MainHeader, MainCards
  },
  setup () {
    const store = useStore()
    const products = [
      {
        id: 1,
        title: 'Устрицы по рокфеллеровски',
        description: 'Значимость этих проблем настолько очевидна, что укрепление и развитие структуры ',
        imgSrc: require('@/assets/img/product_1.svg'),
        price: 2700
      },
      {
        id: 2,
        title: 'Свиные ребрышки на гриле с зеленью',
        description: 'Не следует, однако забывать, что реализация намеченных плановых',
        imgSrc: require('@/assets/img/product_2.svg'),
        price: 1600
      },
      {
        id: 3,
        title: 'Креветки по-королевски в лимонном соке',
        description: 'Значимость этих проблем настолько очевидна, что укрепление и развитие структуры обеспечивает широкому кругу',
        imgSrc: require('@/assets/img/product_3.svg'),
        price: 1820
      },
      {
        id: 1,
        title: 'Устрицы по рокфеллеровски',
        description: 'Значимость этих проблем настолько очевидна, что укрепление и развитие структуры ',
        imgSrc: require('@/assets/img/product_1.svg'),
        price: 2700
      },
      {
        id: 1,
        title: 'Устрицы по рокфеллеровски',
        description: 'Значимость этих проблем настолько очевидна, что укрепление и развитие структуры ',
        imgSrc: require('@/assets/img/product_1.svg'),
        price: 2700
      },
      {
        id: 2,
        title: 'Свиные ребрышки на гриле с зеленью',
        description: 'Не следует, однако забывать, что реализация намеченных плановых',
        imgSrc: require('@/assets/img/product_2.svg'),
        price: 1600
      },
      {
        id: 3,
        title: 'Креветки по-королевски в лимонном соке',
        description: 'Значимость этих проблем настолько очевидна, что укрепление и развитие структуры обеспечивает широкому кругу',
        imgSrc: require('@/assets/img/product_3.svg'),
        price: 1820
      },
      {
        id: 1,
        title: 'Устрицы по рокфеллеровски',
        description: 'Значимость этих проблем настолько очевидна, что укрепление и развитие структуры ',
        imgSrc: require('@/assets/img/product_1.svg'),
        price: 2700
      }
    ]
    onMounted(() => {
      store.commit('SetAddProducts', products)
    })
  }
}
</script>

<style lang="scss" scoped>
.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 70px;
}
</style>
